<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Login</title>
    </h:head>
    <h:body style="background-image: url('../vendor/img/login.jpg') !important">
        <f:view>



            <p:panel style="width: 30%; margin-left: 70%; align-content: center; text-align: center; height: 750px">
                <h:form>  
                    <h1><h:outputText value="Login"/></h1>
                        <p:outputLabel value="a modo de prueba puede poner 'angel.lopez' como usuario y 'angel' como contraseña" />
                    <h:panelGrid columns="2"  style="margin-top:30% !important; margin: auto; align-content: center !important; text-align: center !important;">
                        <p:outputLabel value="User:" for="usernameUsuario" />
                        <p:inputText id="usernameUsuario" value="#{bean_usuario.username_usuario}" title="UsernameUsuario" required="true" requiredMessage="The UsernameUsuario field is required."/>
                        <p:outputLabel value="Password:" for="passwordUsuario" />
                        <p:password id="passwordUsuario" value="#{bean_usuario.password_usuario}" title="PasswordUsuario" required="true" requiredMessage="The password field is required." />
                    </h:panelGrid>
                    <p:commandButton value="Ingresar" action="#{bean_usuario.login()}"/>
                </h:form>
            </p:panel>


        </f:view>

    </h:body>
</html>
